Eye-Toy en Lnux?

Imagen de Efrén
0 puntos

Buenasssss...

Me gustaría saber si alguien ha podido hechar a andar la Eye-Toy de la Play Station 2 como WebCam en Linux.

Hasta ahora sólo he conseguido este artículo:
http://www.josemariasotomayor.net/wordpress/index.php?p=13

Pero como yo soy un inútil... eso de modificar el makefile me viene bastante grande...

¿Alguien sabe como hacerla funcionar en Ubuntu Breezy?

Gracias a todos.

P.D.: La tengo funcionando en Windows-XP desde hace bastante tiempo, y la verdad es que va de fábula, pero como quiero olvidarme de Windows he puesto este hilo.

Imagen de Anónimo
+1
0
-1

Solo tienes que pasarte por esta pagina http://alpha.dyndns.org/ov511/ y bajarte el driver que te ofrecen y apartir de el creas un modulo y ya te funciona

+1
0
-1
Imagen de Efrén
+1
0
-1

Vamos a ver... creo que no me he explicado claramente...

Cuando dije que soy un inútil era "literalmente", es decir, no entiendo nada de crear un módulo ni nada de eso... ¿Puedo sospechar que me estás hablando de recompilar el kernel?

Espero que no, porque si fuese así la cosa estaría bastante negra...

En fín, gracias por la molestia de contestar y te agradecería que me explicases algo mas el tema, si fuese posible.

De todas formas, te repito, gracias.

+1
0
-1

No hay mayor ciego que aquel que no quiere ver.

Imagen de Efrén
+1
0
-1

¿¿Alguien podría decirme como porras se puede crear un módulo a partir de un driver para una WebCam??

O por lo menos, donde conseguir información al respecto (En Castellano, porque no se Inglés) sobre como hacerlo.

Muuuuchas graciasssss.

+1
0
-1

No hay mayor ciego que aquel que no quiere ver.

Imagen de Efrén
+1
0
-1

¿No hay nadie que pueda ayudarme?

Ando loco para ver como se puede crear un módulo... pero que si quieres! La verdad es que no me entero.

Please, ¿podría alguien decirme como se puede crear un módulo?

No sé si esto lo verá alguien, pero por si acaso...

Gracias!!

+1
0
-1

No hay mayor ciego que aquel que no quiere ver.

Imagen de Hach Winik
+1
0
-1

Que tal Efrén, lo único que tienes que hacer es bajarte el archivo, descomprimir y en terminal hacer un:
(para esto tienes que tener instalado los build-essentials y los kernel-modules del kernel que usas) busca en tus repositorios...
#make
#sudo make install

y configurar los drives como te dice en el apartado de instalación de la página que te pasaron: http://alpha.dyndns.org/ov511/install.html

y como tú 'COCO' es el ingles, ve esta página (dirección tomada de la página anterior, en la parte superior): http://pacodebian.iespana.es/webcam.html

Saludos.

Ing. José Leopoldo Sánchez Ramos
Monterrey, N. L. México

+1
0
-1

Saludos

José Leopoldo Sánchez Ramos 

Imagen de Efrén
+1
0
-1

Gracias por la respuesta.

En principio, he conseguido el driver, pero no he podido hacer el módulo.

Lo que he hecho es:

1.- Descargarme el driver.
2.- Descomprimirlo.
3.- Hacer un make...

Y hasta aquí he llegado, porque me responde lo siguiente:

xxxxxxxx@Ubuntu:~/Desktop/ov51x-1.65-1.12-mark$ make
make -C /lib/modules/2.6.12-10-386/build M=/home/xxxxxxxx/Desktop/ov51x-1.65-1.12-mark modules
make: *** /lib/modules/2.6.12-10-386/build: No existe el fichero o el directorio. Alto.
make: *** [all] Error 2

Y ya me quedo tirado como una colilla, porque no me entero... Veo que no encuentra un directorio, pero no sé ni lo que es, ni como conseguirlo (aparte de crearlo a lo bruto y sin sentido) ni para que sirve, ni como hacerlo...

En fin, un caos. Con esto queda patente mi suprema ignorancia, pero es todo lo que tengo en esto del Linux, una gran y profunda ignorancia.

Se que es abusar pero (por intentarlo que no quede) ¿podrías hecharme otro cable?.

De antemano, muchísimas gracias.

+1
0
-1

No hay mayor ciego que aquel que no quiere ver.

Imagen de Bloodsucker
+1
0
-1

Tienes instalado el build-essentials?
$ sudo apt-get install build-essential

Si no es eso.. será otra cosa que desconozco xD

+1
0
-1

 

 

--- Mi Blog: http://bloodblog.coconia.net/

Imagen de Efrén
+1
0
-1

Gracias por la respuesta, pero ya están instaladas también...

¿A alguien se le ocurre otra cosa?

+1
0
-1

No hay mayor ciego que aquel que no quiere ver.

Imagen de gabiel
+1
0
-1

Te faltan las cabeceras del kernel, instala el paquete linux-headers que corresponda a la tu arquitectura/kernel y podrás compilar el módulo.

Saludos.

--------
Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Para ver algo más interesante, haz clic aquí.
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de Efrén
+1
0
-1

Muchas gracias por tu respuesta, pero las cabeceras ya las tenía instaladas de antes...

De todas formas, gracias por tu interés.

+1
0
-1

No hay mayor ciego que aquel que no quiere ver.

Imagen de gabiel
+1
0
-1

Si tienes instaladas las cabeceras del kernel, tienen que ser de otra versión. Las de la versión que utilizas (2.6.12-10-386) no las tienes (o no las tienes instaladas correctamente).

Puedes instalar el paquete linux-headers-2.6.12-10-386 directamente, o hacerlo de forma más "correcta" instalando el paquete linux-headers-386.

Saludos.

--------
Para ver mi firma rasca aquí ===> ||||||||||||||||||||||||||||||||
Para ver algo más interesante, haz clic aquí.
Jabber ID: gabiel@jabber.org

+1
0
-1
Imagen de Efrén
+1
0
-1

Efectivamente, las cabeceras no están correctamente instaladas. Gracias por la información. Las voy a instalar con synaptic y voy a ver que pasa...

Muchas gracias...

Nota: No hay nada como saber de que se habla ¿Eh? Nuevamente, gracias.

+1
0
-1

No hay mayor ciego que aquel que no quiere ver.